Bug 252131 - fedora-ds fails to start on rawhide
Summary: fedora-ds fails to start on rawhide
Status: CLOSED RAWHIDE
Alias: None
Product: 389
Classification: Retired
Component: Directory Server   
(Show other bugs)
Version: 1.1.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FDS1.1.0
TreeView+ depends on / blocked
 
Reported: 2007-08-14 04:24 UTC by Simo Sorce
Modified: 2015-01-04 23:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-14 17:33:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Simo Sorce 2007-08-14 04:24:40 UTC
Description of problem:
latest packages from rawhide provide libicui18n.so.38 while the libcollation
plugin looks for libicui18n.so.36, this makes fedora-ds fail to start

Version-Release number of selected component (if applicable):
1.1.0

How reproducible:
always

Steps to Reproduce:
1. Update to the latest rawhide packages
2. Try to start fedora-ds
  
Actual results:
Netscape Portable Runtime error -5977 is thrown out and the server fail to start

Expected results:
server starts

Additional info:

I think a dependency on a specific version of libicu is warranted if it is so
critical, this way a new libicu package will trigger the need for a rebuild

Comment 1 Rich Megginson 2007-08-14 14:49:51 UTC
I need to rebuild Fedora DS in rawhide to update the icu dependency. 
Unfortunately, the new db version 4.6 seems to have broken the build - configure
can't even find db.  So I guess I'm just going to have to break down and install
rawhide in order to debug this problem . . .

Comment 3 Rich Megginson 2008-05-14 17:33:27 UTC
I think this is fixed now.


Note You need to log in before you can comment on or make changes to this bug.